VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo:

## Avaliable Methods
public method | set_documentation ()
public method | get_value ()
public method | set_type ()
public method | get_documentation ()
public method | set_value ()
public method | get_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo` class contains metamodel information of the constant elements.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. English language documentation for the constant element. It can contain HTML markup and documentation tags (similar to Javadoc tags). String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of the constant element. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo::get_value | ( |  | ) |

Gets the value of 'value' property.

Return values

  value | - The current value of the field. Value of the constant element. ConstantValue#

Code:
click to view
# Number of lines of code in get_value: 4
sub get_value {
my ($self, %args) = @_;
return $self->{'value'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{value} = $args{'value'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.constant_info');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'Type'));
$self->set_binding_field('key' => 'value', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ConstantValue'));
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. English language documentation for the constant element. It can contain HTML markup and documentation tags (similar to Javadoc tags).

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of the constant element.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::ConstantInfo::set_value | ( |  | ) |

Sets the given value for 'value' property.

Parameters

  value | - New value for the field. Value of the constant element.

Code:
click to view
# Number of lines of code in set_value: 5
sub set_value {
my ($self, %args) = @_;
$self->{'value'} = $args{'value'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/ConstantInfo.pm